package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;


public class ExampleMain {

    public static void main(String[] args) {
        AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext(AppConfig.class);
        EmployeeService employeeService = context.getBean(EmployeeService.class);
        System.out.println("-- getting employee by id --");
        Employee employee = employeeService.getEmployeeById(10);
        System.out.println(employee);

        System.out.println("-- getting employee by same id again --");
        employee = employeeService.getEmployeeById(10);
        System.out.println(employee);

        System.out.println("-- getting employee by different id --");
        employee = employeeService.getEmployeeById(11);
        System.out.println(employee);

        System.out.println("-- getting employee by name --");
        employee = employeeService.getEmployeeByName("Linda");
        System.out.println(employee);

        System.out.println("-- getting employee by same name again --");
        employee = employeeService.getEmployeeByName("Linda");
        System.out.println(employee);
    }
}